org.apache.xerces.impl.dv.util

## Class Base64

- java.lang.Object
- - org.apache.xerces.impl.dv.util.Base64

    public final class Base64
    extends java.lang.Object

This class provides encode/decode for RFC 2045 Base64 as defined by RFC 2045, N. Freed and N. Borenstein. RFC 2045: Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. Reference 1996 Available at: http://www.ietf.org/rfc/rfc2045.txt This class is used by XML Schema binary format validation This implementation does not encode/decode streaming data. You need the data that you will encode/decode already on a byte arrray.

Version:
  $Id: Base64.java 446747 2006-09-15 21:46:20Z mrglavas $
Author:
  Jeffrey Rodriguez, Sandy Gao

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
Constructor and Description
`Base64()`

### Method Summary

All Methods Static Methods Concrete Methods
`static byte[]` `decode(java.lang.String encoded)` Decodes Base64 data into octects
`static java.lang.String` `encode(byte[] binaryData)` Encodes hex octects into Base64
`protected static boolean` `isBase64(char octect)`
`protected static boolean` `isData(char octect)`
`protected static boolean` `isPad(char octect)`
`protected static boolean` `isWhiteSpace(char octect)`
`protected static int` `removeWhiteSpace(char[] data)` remove WhiteSpace from MIME containing encoded Base64 data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Base64

    public Base64()

### Method Detail

#### isWhiteSpace

    protected static boolean isWhiteSpace(char octect)

#### isPad

    protected static boolean isPad(char octect)

#### isData

    protected static boolean isData(char octect)

#### isBase64

    protected static boolean isBase64(char octect)

#### encode

    public static java.lang.String encode(byte[] binaryData)

Encodes hex octects into Base64

Parameters:
  `binaryData` - Array containing binaryData
Returns:
  Encoded Base64 array

#### decode

    public static byte[] decode(java.lang.String encoded)

Decodes Base64 data into octects

Parameters:
  `encoded` - string containing Base64 data
Returns:
  Array containind decoded data.

#### removeWhiteSpace

    protected static int removeWhiteSpace(char[] data)

remove WhiteSpace from MIME containing encoded Base64 data.

Parameters:
  `data` - the byte array of base64 data (with WS)
Returns:
  the new length